Identity Proofing Stepup Service (1.0.0)

Download OpenAPI specification:Download

This API uses OAuth2 Client Credentials flow. To obtain an access token, make a POST request to the token endpoint:

Token Request Example:

curl -X POST https://login.kount.com/oauth2/ausdppkujzCPQuIrY357/v1/token \
  -H "Content-Type: application/x-www-form-urlencoded" \
  -H "Authorization: Basic {API KEY}" \
  -d "grant_type=client_credentials&scope=k1_integration_api"

Required Parameters:

  • grant_type: Must be "client_credentials"
  • scope: Must be "k1_integration_api"

Use the returned access_token in API requests: Authorization: Bearer {access_token}

Authentication

auth

Security Scheme Type OAuth2
clientCredentials OAuth Flow
Token URL: https://login.kount.com/oauth2/ausdppkujzCPQuIrY357/v1/token
Scopes:
  • k1_integration_api -

    Kount API Scope

KountStepUpService

KountStepUpService_DocVOnboardingEvent

Request Body schema: application/json

DocVOnboardingEventRequest - request sent to the customer's webhook_callback_uri upon change in onboarding status of the document verification session.

Fields:

  • session_id: the ID of IVS verification session
  • status: the onboarding status of the document verification session
sessionId
string
status
string

Responses

Request samples

Content type
application/json
{
  • "sessionId": "string",
  • "status": "string"
}

Response samples

Content type
application/json
{ }

KountStepUpService_DocVResultsEvent

Request Body schema: application/json

DocVResultsEventRequest - request sent to the customer's webhook_callback_uri upon completion of the document verification session.

Fields:

  • session_id: the ID of IVS verification session
  • ocr: the OCR results from the document verification
  • score: the score results of the document verification
  • image: the image data from the document verification containing temporary links
sessionId
string
ocr
object
score
object
image
object

Responses

Request samples

Content type
application/json
{
  • "sessionId": "string",
  • "ocr": { },
  • "score": { },
  • "image": { }
}

Response samples

Content type
application/json
{ }

KountStepUpService_WebhookEvent

Request Body schema: application/json

WebhookEventRequest - request sent to the customer's webhook_callback_uri upon completion of the IVS session.

Fields:

  • mfa_type: the type of MFA used in the verification
  • send_attempts: the number of times the verification message has been sent
  • verification_status: the status of the IVS verification session
  • error: any error that occurred during the verification process
  • session_id: the ID of the IVS verification session
  • verification_attempts: the number of verification attempts made
  • auto_trust_device: whether the device should be automatically trusted
  • sentTimeStamp: the timestamp when the verification message was sent
  • channel_type: the mfa_type + channel (EMAIL/SMS) used for the verification
  • doc_verification: whether the session corresponds to a doc verification flow.
  • auto_trust_device: whether the device should be automatically trusted.
  • sentTimeStamp: the timestamp when the verification message was sent.
sessionIdHash
string

session_id_hash - this is something that can be ignored unless you are using IDAAS split tokens.

mfaType
string (v1MFAType)
Default: "OTP"
Enum: "OTP" "NONCE_OTH"
sendAttempts
string <int64>
verificationStatus
string (v1VerificationStatus)
Default: "UNKNOWN"
Enum: "UNKNOWN" "INVALID" "VERIFIED" "TERMINATED" "MESSAGE_SENT" "FAILED_AUTHORIZATION" "VERIFICATION_ATTEMPT_FAILED"

UNKNOWN: The status is unknown. This is the default value. INVALID: The verification session was invalidated due to an error. VERIFIED: The verification process succeeded. TERMINATED: The verification session expired or reached the maximum number of verification or resend attempts. MESSAGE_SENT: The verification message has been sent and is awaiting action from the user. FAILED_AUTHORIZATION: The verification process has failed due to an authorization issue. VERIFICATION_ATTEMPT_FAILED: The verification attempt failed, but the session remains active for retry.

object (v1Error)
sessionId
string
verificationAttempts
string <int64>
resendStatus
string (v1ResendStatus)
Default: "UNKNOWN_RESEND_STATUS"
Enum: "UNKNOWN_RESEND_STATUS" "SENT" "FAILED" "PENDING"
autoTrustDevice
boolean
sentTimeStamp
string
channelType
string (v1MFAChannelType)
Default: "SMS_OTP"
Enum: "SMS_OTP" "EMAIL_OTP" "SMS_NONCE_OTH" "EMAIL_NONCE_OTH" "STANDALONE_NONCE_OTH"
docVerification
boolean
remainingSendAttempts
string <int64>
remainingVerificationAttempts
string <int64>

Responses

Request samples

Content type
application/json
{
  • "sessionIdHash": "string",
  • "mfaType": "OTP",
  • "sendAttempts": "string",
  • "verificationStatus": "UNKNOWN",
  • "error": {
    },
  • "sessionId": "string",
  • "verificationAttempts": "string",
  • "resendStatus": "UNKNOWN_RESEND_STATUS",
  • "autoTrustDevice": true,
  • "sentTimeStamp": "string",
  • "channelType": "SMS_OTP",
  • "docVerification": true,
  • "remainingSendAttempts": "string",
  • "remainingVerificationAttempts": "string"
}

Response samples

Content type
application/json
{ }

Verification

Proccess the step up request.

Mandatory Request Headers

  • x-client-id: Unique client identifier. Example: 1234567890
  • Content-Type: Request content type.
    Example: application/json
  • Authorization: Bearer token for API access.
    Example: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Authorizations:
auth (k1_integration_api)
Request Body schema: application/json
inquiryId
string (Required)

The unique, customer-generated identifier for the consumer’s original case inquiry. This should map to the original assessment that is being updated

authenticationId
string (Required)

A Kount 360 unique identifier returned in the body of the original assessment. This may also called the case ID.

object (v1RequestStrategy)
phoneNumber
string

Phone Number for the verification flows

email
string

Email for the verification flows

Responses

Request samples

Content type
application/json
{
  • "inquiryId": "223db65b-8a22-4daa-9320-98ff86371d8f",
  • "authenticationId": "a43db65b-8a22-4daa-9320-98ff86371c89",
  • "strategy": {
    },
  • "phoneNumber": "19999999999",
  • "email": "example@domain.com"
}

Response samples

Content type
application/json
{
  • "inquiryId": "223db65b-8a22-4daa-9320-98ff86371d8f",
  • "authenticationId": "a43db65b-8a22-4daa-9320-98ff86371c89",
  • "decision": "Allow",
  • "strategy": {
    }
}